---
title: Get Client detail information
slug: get-client-detail-information
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "bW-68jfFyiM5K-qPKx5HJ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/clients/details",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/clients/details"
      }
    ],
    "name": "Get Client detail information",
    "description": "This endpoind allows to retrieve all information about one specific client and query params are used to retreive the one specific client. \n",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "Example",
            "Example with custom values"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "guid",
          "type": "string",
          "description": "GUID format entity identifier generated by Frontu."
        },
        {
          "kind": "optional",
          "name": "systemId",
          "type": "string",
          "description": "Entity identifier from external system."
        },
        {
          "kind": "optional",
          "name": "title",
          "type": "string",
          "description": "Title."
        },
        {
          "kind": "optional",
          "name": "email",
          "type": "string",
          "description": "Email address."
        },
        {
          "kind": "optional",
          "name": "phone",
          "type": "string",
          "description": "Phone number."
        },
        {
          "kind": "optional",
          "name": "companyCode",
          "type": "string",
          "description": "Company identifier."
        },
        {
          "kind": "optional",
          "name": "companyVatCode",
          "type": "string",
          "description": "Company VAT code."
        },
        {
          "kind": "optional",
          "name": "tag",
          "type": "string",
          "description": "<p>Tag systemId, guid or title.</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "version",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": "Client name"
              },
              {
                "name": "address",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "city",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "phone",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "creditStatus",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "systemId",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "note",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "companyCode",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "companyVatCode",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "guid",
                "kind": "optional",
                "type": "string",
                "description": "Unique"
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "updated",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "deleted",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "clientType",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "systemId",
                "kind": "optional",
                "type": "integer",
                "description": "Unique"
              },
              {
                "name": "tags",
                "kind": "optional",
                "type": "array",
                "description": "Tag titles assigned to the record.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "customValues",
                "kind": "optional",
                "type": "array",
                "description": "<p>You will get custom values for example \"guid\": \"version\"</p>",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": "Unique"
                  },
                  {
                    "name": "value",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Entity not found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "vUj-zzTHYQchvD7QRWWmS",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://dev1.frontu.com//client/api/v2/clients/details \\\n     --header 'accept: application/json'"
        },
        {
          "id": "zbupN8L2UDLr-L_n6V1O1",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/clients/details\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "U-9qY6HB4aFNNnBtRZ7q9",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/clients/details\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "12MVjVzvVh-5v2zQPFmqI",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/clients/details\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "vUj-zzTHYQchvD7QRWWmS"
    },
    "results": {
      "languages": [
        {
          "id": "ZCvD6dlbHc-torrGLnkrE",
          "language": "200",
          "code": "// Returned when successful\n{\n  \"version\": 0,\n  \"title\": \"\",\n  \"address\": \"\",\n  \"city\": \"\",\n  \"phone\": \"\",\n  \"email\": \"\",\n  \"creditStatus\": {\n    \"title\": \"\",\n    \"guid\": \"\",\n    \"systemId\": \"\"\n  },\n  \"note\": \"\",\n  \"companyCode\": \"\",\n  \"companyVatCode\": \"\",\n  \"guid\": \"\",\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"deleted\": false,\n  \"clientType\": false,\n  \"systemId\": 0,\n  \"tags\": [\n    \"\"\n  ],\n  \"customValues\": [\n    {\n      \"guid\": \"\",\n      \"value\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "6Q_HbOaNoIS8bOj8Nbik3",
          "language": "404",
          "code": "// Entity not found\n"
        }
      ],
      "selectedLanguageId": "ZCvD6dlbHc-torrGLnkrE"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}